Index: /doc/latex/libDS__ui_8h__incl.eps
===================================================================
--- /doc/latex/libDS__ui_8h__incl.eps (revision 264)
+++ /doc/latex/libDS__ui_8h__incl.eps (revision 270)
@@ -252,5 +252,5 @@
 closepath stroke
 grestore
-% Node9
+% Node10
 gsave
 [ /Rect [ 122 291 218 311 ]
@@ -277,5 +277,5 @@
 130 297.5 moveto 80 (stat/loggers_ui.h) alignedtext
 grestore
-% Node1->Node9
+% Node1->Node10
 gsave
 1 setlinewidth
@@ -300,5 +300,5 @@
 % Node3
 gsave
-[ /Rect [ 110 175 160 195 ]
+[ /Rect [ 113 175 163 195 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libBM_8h.html) >>
@@ -306,20 +306,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 110 174 moveto
-110 195 lineto
-161 195 lineto
-161 174 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 110 174 moveto
-110 195 lineto
-161 195 lineto
-161 174 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-117.5 181.5 moveto 35 (libBM.h) alignedtext
+newpath 113 174 moveto
+113 195 lineto
+164 195 lineto
+164 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 113 174 moveto
+113 195 lineto
+164 195 lineto
+164 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+120.5 181.5 moveto 35 (libBM.h) alignedtext
 grestore
 % Node2->Node3
@@ -328,21 +328,21 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 84 290 moveto
-94 271 113 229 125 204 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 128.2 205.44 moveto
-130 195 lineto
-122.08 202.04 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 128.2 205.44 moveto
-130 195 lineto
-122.08 202.04 lineto
-closepath stroke
-grestore
-% Node6
+newpath 85 290 moveto
+95 271 116 229 128 204 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 131.2 205.44 moveto
+133 195 lineto
+125.08 202.04 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 131.2 205.44 moveto
+133 195 lineto
+125.08 202.04 lineto
+closepath stroke
+grestore
+% Node7
 gsave
 [ /Rect [ 24 233 68 253 ]
@@ -369,5 +369,5 @@
 31.5 239.5 moveto 29 (libEF.h) alignedtext
 grestore
-% Node2->Node6
+% Node2->Node7
 gsave
 1 setlinewidth
@@ -392,5 +392,5 @@
 % Node4
 gsave
-[ /Rect [ 93 59 165 79 ]
+[ /Rect [ 63 59 135 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
@@ -398,20 +398,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 93 58 moveto
-93 79 lineto
-165 79 lineto
-165 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 93 58 moveto
-93 79 lineto
-165 79 lineto
-165 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-101 65.5 moveto 56 (../itpp_ext.h) alignedtext
+newpath 63 58 moveto
+63 79 lineto
+135 79 lineto
+135 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 63 58 moveto
+63 79 lineto
+135 79 lineto
+135 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+71 65.5 moveto 56 (../itpp_ext.h) alignedtext
 grestore
 % Node3->Node4
@@ -420,18 +420,60 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 134 174 moveto
-133 155 132 114 130 89 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 133.5 89 moveto
-130 79 lineto
-126.5 89 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 133.5 89 moveto
-130 79 lineto
-126.5 89 lineto
+newpath 133 174 moveto
+128 164 122 150 118 138 curveto
+112 121 107 103 103 89 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 106.39 88.12 moveto
+101 79 lineto
+99.53 89.49 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 106.39 88.12 moveto
+101 79 lineto
+99.53 89.49 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 127 116 moveto
+127 137 lineto
+165 137 lineto
+165 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.749 nodecolor
+newpath 127 116 moveto
+127 137 lineto
+165 137 lineto
+165 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+135 123.5 moveto 22 (map) alignedtext
+grestore
+% Node3->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 140 174 moveto
+141 166 142 156 143 147 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 146.47 147.49 moveto
+145 137 lineto
+139.61 146.12 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 146.47 147.49 moveto
+145 137 lineto
+139.61 146.12 lineto
 closepath stroke
 grestore
@@ -439,20 +481,20 @@
 gsave
 0.000 0.000 1.000 nodecolor
-newpath 124 0 moveto
-124 21 lineto
-199 21 lineto
-199 0 lineto
+newpath 109 0 moveto
+109 21 lineto
+184 21 lineto
+184 0 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.749 nodecolor
-newpath 124 0 moveto
-124 21 lineto
-199 21 lineto
-199 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-131.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
+newpath 109 0 moveto
+109 21 lineto
+184 21 lineto
+184 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+116.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
 grestore
 % Node4->Node5
@@ -461,42 +503,42 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 135 58 moveto
-139 50 145 39 150 30 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 153.2 31.44 moveto
-155 21 lineto
-147.08 28.04 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 153.2 31.44 moveto
-155 21 lineto
-147.08 28.04 lineto
-closepath stroke
-grestore
-% Node6->Node3
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 63 232 moveto
-76 223 96 210 111 200 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 112.96 202.92 moveto
-120 195 lineto
-109.56 196.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 112.96 202.92 moveto
-120 195 lineto
-109.56 196.8 lineto
-closepath stroke
-grestore
-% Node7
+newpath 108 58 moveto
+115 50 124 38 132 29 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 134.8 31.1 moveto
+138 21 lineto
+129.2 26.9 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 134.8 31.1 moveto
+138 21 lineto
+129.2 26.9 lineto
+closepath stroke
+grestore
+% Node7->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 64 232 moveto
+77 223 98 210 113 200 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 114.96 202.92 moveto
+122 195 lineto
+111.56 196.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 114.96 202.92 moveto
+122 195 lineto
+111.56 196.8 lineto
+closepath stroke
+grestore
+% Node8
 gsave
 [ /Rect [ 0 175 92 195 ]
@@ -523,5 +565,5 @@
 7.5 181.5 moveto 77 (../math/chmat.h) alignedtext
 grestore
-% Node6->Node7
+% Node7->Node8
 gsave
 1 setlinewidth
@@ -544,7 +586,7 @@
 closepath stroke
 grestore
-% Node8
-gsave
-[ /Rect [ 38 117 88 137 ]
+% Node9
+gsave
+[ /Rect [ 21 117 71 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libDC_8h.html) >>
@@ -552,64 +594,64 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 38 116 moveto
-38 137 lineto
-88 137 lineto
-88 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 38 116 moveto
-38 137 lineto
-88 137 lineto
-88 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-46 123.5 moveto 34 (libDC.h) alignedtext
-grestore
-% Node7->Node8
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 49 174 moveto
-51 166 54 156 57 147 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 60.48 147.58 moveto
-60 137 lineto
-53.77 145.57 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 60.48 147.58 moveto
-60 137 lineto
-53.77 145.57 lineto
-closepath stroke
-grestore
-% Node8->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 76 116 moveto
-86 107 99 95 110 86 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 112.78 88.22 moveto
-118 79 lineto
-108.17 82.95 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 112.78 88.22 moveto
-118 79 lineto
-108.17 82.95 lineto
-closepath stroke
-grestore
-% Node10
+newpath 21 116 moveto
+21 137 lineto
+71 137 lineto
+71 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 21 116 moveto
+21 137 lineto
+71 137 lineto
+71 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+29 123.5 moveto 34 (libDC.h) alignedtext
+grestore
+% Node8->Node9
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 46 174 moveto
+46 166 46 156 46 147 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 49.5 147 moveto
+46 137 lineto
+42.5 147 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 49.5 147 moveto
+46 137 lineto
+42.5 147 lineto
+closepath stroke
+grestore
+% Node9->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 56 116 moveto
+64 107 74 96 83 87 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 86.05 88.83 moveto
+90 79 lineto
+80.78 84.22 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 86.05 88.83 moveto
+90 79 lineto
+80.78 84.22 lineto
+closepath stroke
+grestore
+% Node11
 gsave
 [ /Rect [ 124 233 184 253 ]
@@ -636,5 +678,5 @@
 132 239.5 moveto 44 (loggers.h) alignedtext
 grestore
-% Node9->Node10
+% Node10->Node11
 gsave
 1 setlinewidth
@@ -657,5 +699,5 @@
 closepath stroke
 grestore
-% Node11
+% Node12
 gsave
 [ /Rect [ 202 233 266 253 ]
@@ -682,5 +724,5 @@
 209.5 239.5 moveto 49 (uibuilder.h) alignedtext
 grestore
-% Node9->Node11
+% Node10->Node12
 gsave
 1 setlinewidth
@@ -703,25 +745,4 @@
 closepath stroke
 grestore
-% Node10->Node3
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 150 232 moveto
-148 224 145 214 142 205 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 144.96 202.98 moveto
-138 195 lineto
-138.46 205.58 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 144.96 202.98 moveto
-138 195 lineto
-138.46 205.58 lineto
-closepath stroke
-grestore
 % Node11->Node3
 gsave
@@ -729,21 +750,42 @@
 solid
 0.667 0.776 0.439 edgecolor
+newpath 151 232 moveto
+149 224 146 214 143 205 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 146.39 204.12 moveto
+141 195 lineto
+139.53 205.49 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 146.39 204.12 moveto
+141 195 lineto
+139.53 205.49 lineto
+closepath stroke
+grestore
+% Node12->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
 newpath 215 232 moveto
-200 223 178 210 161 200 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 162.44 196.8 moveto
-152 195 lineto
-159.04 202.92 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 162.44 196.8 moveto
-152 195 lineto
-159.04 202.92 lineto
-closepath stroke
-grestore
-% Node11->Node5
+201 223 180 210 164 200 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 165.44 196.8 moveto
+155 195 lineto
+162.04 202.92 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 165.44 196.8 moveto
+155 195 lineto
+162.04 202.92 lineto
+closepath stroke
+grestore
+% Node12->Node5
 gsave
 1 setlinewidth
@@ -751,22 +793,21 @@
 0.667 0.776 0.439 edgecolor
 newpath 228 232 moveto
-223 222 216 208 212 196 curveto
-189 136 190 119 174 58 curveto
-171 49 168 39 166 31 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 169.39 30.12 moveto
-164 21 lineto
-162.53 31.49 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 169.39 30.12 moveto
-164 21 lineto
-162.53 31.49 lineto
-closepath stroke
-grestore
-% Node12
+223 222 217 208 212 196 curveto
+187 136 163 65 152 31 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 155.23 29.57 moveto
+149 21 lineto
+148.52 31.58 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 155.23 29.57 moveto
+149 21 lineto
+148.52 31.58 lineto
+closepath stroke
+grestore
+% Node13
 gsave
 0.000 0.000 1.000 nodecolor
@@ -788,5 +829,5 @@
 228.5 181.5 moveto 107 (libconfig/libconfig.h++) alignedtext
 grestore
-% Node11->Node12
+% Node12->Node13
 gsave
 1 setlinewidth
Index: /doc/latex/libPF_8h__incl.md5
===================================================================
--- /doc/latex/libPF_8h__incl.md5 (revision 261)
+++ /doc/latex/libPF_8h__incl.md5 (revision 270)
@@ -1,1 +1,1 @@
-7168b6b236210db8a60ad97ed0ca1157
+63f3f0afd68e375b6a6e9567b7c00774
Index: /doc/latex/classbdm_1_1EKF__coll__graph.md5
===================================================================
--- /doc/latex/classbdm_1_1EKF__coll__graph.md5 (revision 269)
+++ /doc/latex/classbdm_1_1EKF__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-cbcc757b1af1daa9f869426f9b458571
+5379c71295cb1a4a19f9cd509e6771ea
Index: /doc/latex/libDS_8h__incl.md5
===================================================================
--- /doc/latex/libDS_8h__incl.md5 (revision 261)
+++ /doc/latex/libDS_8h__incl.md5 (revision 270)
@@ -1,1 +1,1 @@
-ae9e0acd4f342482da9fddd15138841d
+7bfdf57cd1ed439e634c7b6d866ba6d7
Index: /doc/latex/classbdm_1_1EKFCh__unQ__coll__graph.dot
===================================================================
--- /doc/latex/classbdm_1_1EKFCh__unQ__coll__graph.dot (revision 269)
+++ /doc/latex/classbdm_1_1EKFCh__unQ__coll__graph.dot (revision 270)
@@ -14,5 +14,5 @@
   Node6 -> Node5 [dir=back,color="midnightblue",fontsize=10,style="solid"];
   Node6 [label="bdm::bdmroot",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1bdmroot.html",tooltip="Root class of BDM objects."];
-  Node7 -> Node5 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv\nrv"];
+  Node7 -> Node5 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv"];
   Node7 [label="bdm::RV",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1RV.html",tooltip="Class representing variables, most often random variables."];
   Node6 -> Node7 [dir=back,color="midnightblue",fontsize=10,style="solid"];
Index: /doc/latex/mixef_8h__incl.eps
===================================================================
--- /doc/latex/mixef_8h__incl.eps (revision 261)
+++ /doc/latex/mixef_8h__incl.eps (revision 270)
@@ -253,5 +253,5 @@
 closepath stroke
 grestore
-% Node6
+% Node7
 gsave
 [ /Rect [ 134 233 210 253 ]
@@ -278,5 +278,5 @@
 142 239.5 moveto 60 (../stat/libEF.h) alignedtext
 grestore
-% Node1->Node6
+% Node1->Node7
 gsave
 1 setlinewidth
@@ -284,5 +284,5 @@
 0.667 0.776 0.439 edgecolor
 newpath 121 348 moveto
-131 339 146 326 154 312 curveto
+132 339 146 326 154 312 curveto
 162 297 167 278 169 263 curveto
 stroke
@@ -300,5 +300,5 @@
 closepath stroke
 grestore
-% Node9
+% Node10
 gsave
 [ /Rect [ 67 291 145 311 ]
@@ -325,5 +325,5 @@
 74.5 297.5 moveto 63 (../stat/emix.h) alignedtext
 grestore
-% Node1->Node9
+% Node1->Node10
 gsave
 1 setlinewidth
@@ -394,5 +394,5 @@
 % Node4
 gsave
-[ /Rect [ 107 59 179 79 ]
+[ /Rect [ 120 59 192 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
@@ -400,20 +400,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 107 58 moveto
-107 79 lineto
-179 79 lineto
-179 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 107 58 moveto
-107 79 lineto
-179 79 lineto
-179 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-115 65.5 moveto 56 (../itpp_ext.h) alignedtext
+newpath 120 58 moveto
+120 79 lineto
+192 79 lineto
+192 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 120 58 moveto
+120 79 lineto
+192 79 lineto
+192 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+128 65.5 moveto 56 (../itpp_ext.h) alignedtext
 grestore
 % Node3->Node4
@@ -422,18 +422,59 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 99 174 moveto
-107 155 125 113 135 88 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 138.14 89.56 moveto
-139 79 lineto
-131.74 86.72 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 138.14 89.56 moveto
-139 79 lineto
-131.74 86.72 lineto
+newpath 100 174 moveto
+111 155 133 113 145 88 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 148.2 89.44 moveto
+150 79 lineto
+142.08 86.04 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 148.2 89.44 moveto
+150 79 lineto
+142.08 86.04 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 64 116 moveto
+64 137 lineto
+102 137 lineto
+102 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.749 nodecolor
+newpath 64 116 moveto
+64 137 lineto
+102 137 lineto
+102 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+72 123.5 moveto 22 (map) alignedtext
+grestore
+% Node3->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 92 174 moveto
+91 166 89 156 87 147 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 90.39 146.12 moveto
+85 137 lineto
+83.53 147.49 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 90.39 146.12 moveto
+85 137 lineto
+83.53 147.49 lineto
 closepath stroke
 grestore
@@ -441,20 +482,20 @@
 gsave
 0.000 0.000 1.000 nodecolor
-newpath 106 0 moveto
-106 21 lineto
-181 21 lineto
-181 0 lineto
+newpath 119 0 moveto
+119 21 lineto
+194 21 lineto
+194 0 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.749 nodecolor
-newpath 106 0 moveto
-106 21 lineto
-181 21 lineto
-181 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-113.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
+newpath 119 0 moveto
+119 21 lineto
+194 21 lineto
+194 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+126.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
 grestore
 % Node4->Node5
@@ -463,21 +504,21 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 143 58 moveto
-143 50 143 40 143 31 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 146.5 31 moveto
-143 21 lineto
-139.5 31 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 146.5 31 moveto
-143 21 lineto
-139.5 31 lineto
-closepath stroke
-grestore
-% Node6->Node3
+newpath 156 58 moveto
+156 50 156 40 156 31 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 159.5 31 moveto
+156 21 lineto
+152.5 31 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 159.5 31 moveto
+156 21 lineto
+152.5 31 lineto
+closepath stroke
+grestore
+% Node7->Node3
 gsave
 1 setlinewidth
@@ -500,5 +541,5 @@
 closepath stroke
 grestore
-% Node7
+% Node8
 gsave
 [ /Rect [ 137 175 229 195 ]
@@ -525,5 +566,5 @@
 144.5 181.5 moveto 77 (../math/chmat.h) alignedtext
 grestore
-% Node6->Node7
+% Node7->Node8
 gsave
 1 setlinewidth
@@ -546,7 +587,7 @@
 closepath stroke
 grestore
-% Node8
-gsave
-[ /Rect [ 149 117 199 137 ]
+% Node9
+gsave
+[ /Rect [ 158 117 208 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libDC_8h.html) >>
@@ -554,64 +595,64 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 149 116 moveto
-149 137 lineto
-199 137 lineto
-199 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 149 116 moveto
-149 137 lineto
-199 137 lineto
-199 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-157 123.5 moveto 34 (libDC.h) alignedtext
-grestore
-% Node7->Node8
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 181 174 moveto
-180 166 179 156 177 147 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 180.48 146.6 moveto
-176 137 lineto
-173.51 147.3 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 180.48 146.6 moveto
-176 137 lineto
-173.51 147.3 lineto
-closepath stroke
-grestore
-% Node8->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 168 116 moveto
-164 108 158 97 153 88 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 155.92 86.04 moveto
-148 79 lineto
-149.8 89.44 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 155.92 86.04 moveto
-148 79 lineto
-149.8 89.44 lineto
-closepath stroke
-grestore
-% Node9->Node3
+newpath 158 116 moveto
+158 137 lineto
+208 137 lineto
+208 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 158 116 moveto
+158 137 lineto
+208 137 lineto
+208 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+166 123.5 moveto 34 (libDC.h) alignedtext
+grestore
+% Node8->Node9
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 183 174 moveto
+183 166 183 156 183 147 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 186.5 147 moveto
+183 137 lineto
+179.5 147 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 186.5 147 moveto
+183 137 lineto
+179.5 147 lineto
+closepath stroke
+grestore
+% Node9->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 178 116 moveto
+174 108 169 97 165 88 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 168.26 86.72 moveto
+161 79 lineto
+161.86 89.56 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 168.26 86.72 moveto
+161 79 lineto
+161.86 89.56 lineto
+closepath stroke
+grestore
+% Node10->Node3
 gsave
 1 setlinewidth
@@ -634,5 +675,5 @@
 closepath stroke
 grestore
-% Node9->Node6
+% Node10->Node7
 gsave
 1 setlinewidth
Index: /doc/latex/libDS__ui_8h__incl.md5
===================================================================
--- /doc/latex/libDS__ui_8h__incl.md5 (revision 264)
+++ /doc/latex/libDS__ui_8h__incl.md5 (revision 270)
@@ -1,1 +1,1 @@
-84d5aacc72f7a4476a7e2105e396a8d4
+f984965c1cee76f35da3ee4a61c0e25d
Index: /doc/latex/classbdm_1_1mratio__coll__graph.dot
===================================================================
--- /doc/latex/classbdm_1_1mratio__coll__graph.dot (revision 269)
+++ /doc/latex/classbdm_1_1mratio__coll__graph.dot (revision 270)
@@ -8,5 +8,5 @@
   Node3 -> Node2 [dir=back,color="midnightblue",fontsize=10,style="solid"];
   Node3 [label="bdm::bdmroot",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1bdmroot.html",tooltip="Root class of BDM objects."];
-  Node4 -> Node2 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="rv\nrvc"];
+  Node4 -> Node2 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="rvc"];
   Node4 [label="bdm::RV",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1RV.html",tooltip="Class representing variables, most often random variables."];
   Node3 -> Node4 [dir=back,color="midnightblue",fontsize=10,style="solid"];
@@ -18,5 +18,5 @@
   Node6 [label="bdm::datalink_m2e",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1datalink__m2e.html",tooltip="data link between"];
   Node7 -> Node6 [dir=back,color="midnightblue",fontsize=10,style="solid"];
-  Node7 [label="bdm::datalink_e2e",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1datalink__e2e.html",tooltip="DataLink is a connection between two data vectors Up and Down."];
+  Node7 [label="bdm::datalink",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1datalink.html",tooltip="DataLink is a connection between two data vectors Up and Down."];
   Node5 -> Node1 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="nom\nden"];
 }
Index: /doc/latex/classbdm_1_1ARX__coll__graph.eps
===================================================================
--- /doc/latex/classbdm_1_1ARX__coll__graph.eps (revision 269)
+++ /doc/latex/classbdm_1_1ARX__coll__graph.eps (revision 270)
@@ -180,9 +180,9 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 248 422
+%%PageBoundingBox: 36 36 248 410
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 212 386 boxprim clip newpath
+36 36 212 374 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
@@ -301,5 +301,5 @@
 % Node4
 gsave
-[ /Rect [ 37 357 121 377 ]
+[ /Rect [ 37 345 121 365 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1bdmroot.html) >>
@@ -307,20 +307,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 37 356 moveto
-37 377 lineto
-122 377 lineto
-122 356 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 37 356 moveto
-37 377 lineto
-122 377 lineto
-122 356 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-44.5 363.5 moveto 69 (bdm::bdmroot) alignedtext
+newpath 37 344 moveto
+37 365 lineto
+122 365 lineto
+122 344 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 37 344 moveto
+37 365 lineto
+122 365 lineto
+122 344 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+44.5 351.5 moveto 69 (bdm::bdmroot) alignedtext
 grestore
 % Node4->Node3
@@ -329,24 +329,24 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 61 348 moveto
-54 340 46 329 42 318 curveto
-30 288 29 251 29 233 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 58.78 350.78 moveto
-68 356 lineto
-64.05 346.17 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 58.78 350.78 moveto
-68 356 lineto
-64.05 346.17 lineto
+newpath 61 336 moveto
+54 328 46 317 42 306 curveto
+32 281 30 249 29 233 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 58.78 338.78 moveto
+68 344 lineto
+64.05 334.17 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 58.78 338.78 moveto
+68 344 lineto
+64.05 334.17 lineto
 closepath stroke
 grestore
 % Node5
 gsave
-[ /Rect [ 51 297 107 317 ]
+[ /Rect [ 51 285 107 305 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1RV.html) >>
@@ -354,20 +354,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 51 296 moveto
-51 317 lineto
-107 317 lineto
-107 296 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 51 296 moveto
-51 317 lineto
-107 317 lineto
-107 296 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-59 303.5 moveto 40 (bdm::RV) alignedtext
+newpath 51 284 moveto
+51 305 lineto
+107 305 lineto
+107 284 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 51 284 moveto
+51 305 lineto
+107 305 lineto
+107 284 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+59 291.5 moveto 40 (bdm::RV) alignedtext
 grestore
 % Node4->Node5
@@ -376,18 +376,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 79 346 moveto
-79 336 79 325 79 317 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 75.5 346 moveto
-79 356 lineto
-82.5 346 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 75.5 346 moveto
-79 356 lineto
-82.5 346 lineto
+newpath 79 334 moveto
+79 324 79 313 79 305 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 75.5 334 moveto
+79 344 lineto
+82.5 334 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 75.5 334 moveto
+79 344 lineto
+82.5 334 lineto
 closepath stroke
 grestore
@@ -422,19 +422,19 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 97 349 moveto
-104 340 112 329 116 318 curveto
-126 288 117 251 111 233 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 94.6 346.45 moveto
-90 356 lineto
-99.55 351.4 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 94.6 346.45 moveto
-90 356 lineto
-99.55 351.4 lineto
+newpath 97 337 moveto
+104 328 112 317 116 306 curveto
+124 280 116 249 111 233 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 94.6 334.45 moveto
+90 344 lineto
+99.55 339.4 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 94.6 334.45 moveto
+90 344 lineto
+99.55 339.4 lineto
 closepath stroke
 grestore
@@ -444,49 +444,46 @@
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 67 287 moveto
-58 270 43 247 35 233 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 64.08 288.96 moveto
-72 296 lineto
-70.2 285.56 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 64.08 288.96 moveto
-72 296 lineto
-70.2 285.56 lineto
+newpath 65 276 moveto
+55 262 43 244 36 233 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 62.2 278.1 moveto
+71 284 lineto
+67.8 273.9 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 62.2 278.1 moveto
+71 284 lineto
+67.8 273.9 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
 10 /FreeSans set_font
-63.5 269 moveto 15 (drv) alignedtext
+61.5 256.5 moveto 15 (drv) alignedtext
+grestore
+% Node5->Node10
+gsave
+1 setlinewidth
+dashed
+0.776 0.753 0.804 edgecolor
+newpath 88 275 moveto
+93 261 100 244 104 233 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 84.86 273.44 moveto
+84 284 lineto
+91.26 276.28 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 84.86 273.44 moveto
+84 284 lineto
+91.26 276.28 lineto
+closepath stroke
 0.000 0.000 0.000 edgecolor
 10 /FreeSans set_font
-66.5 256 moveto 9 (rv) alignedtext
-grestore
-% Node5->Node10
-gsave
-1 setlinewidth
-dashed
-0.776 0.753 0.804 edgecolor
-newpath 86 286 moveto
-92 269 100 246 105 233 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 82.52 285.42 moveto
-83 296 lineto
-89.23 287.43 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 82.52 285.42 moveto
-83 296 lineto
-89.23 287.43 lineto
-closepath stroke
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-96.5 262.5 moveto 9 (rv) alignedtext
+93.5 256.5 moveto 9 (rv) alignedtext
 grestore
 % Node6
@@ -734,5 +731,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 248 422
+%%BoundingBox: 36 36 248 410
 end
 restore
Index: /doc/latex/mixef_8h__incl.md5
===================================================================
--- /doc/latex/mixef_8h__incl.md5 (revision 261)
+++ /doc/latex/mixef_8h__incl.md5 (revision 270)
@@ -1,1 +1,1 @@
-3d20d77b1133c7d4409c28256e13c2a0
+9cf64633db81aaae81a14c9458db1be1
